{
  "name": "legalconsenthub",
  "private": true,
  "type": "module",
  "scripts": {
    "build": "nuxt build",
    "dev": "nuxt dev --port 3001 --host",
    "generate": "nuxt generate",
    "preview": "nuxt preview",
    "postinstall": "nuxt prepare && pnpm run api:generate",
    "format": "prettier . --write",
    "type-check": "nuxi typecheck",
    "lint": "eslint .",
    "lint:fix": "eslint . --fix",
    "api:generate": "openapi-generator-cli generate -i ../legalconsenthub-backend/api/legalconsenthub.yml -g typescript-fetch -o .api-client",
    "api:middleware:generate": "openapi-generator-cli generate -i ../legalconsenthub-middleware/api/legalconsenthub-middleware.yml -g typescript-fetch -o .api-client-middleware"
  },
  "dependencies": {
    "@nuxt/ui": "^4.1.0",
    "@nuxtjs/i18n": "10.0.3",
    "@pinia/nuxt": "0.11.2",
    "@vueuse/core": "^13.6.0",
    "h3": "1.15.4",
    "jwt-decode": "4.0.0",
    "nuxt": "4.2.0",
    "nuxt-auth-utils": "0.5.25",
    "pinia": "3.0.3",
    "resend": "^4.3.0",
    "vue": "latest",
    "vue-router": "latest"
  },
  "devDependencies": {
    "@nuxt/eslint": "1.1.0",
    "@openapitools/openapi-generator-cli": "2.16.3",
    "eslint": "9.20.1",
    "prettier": "3.5.1",
    "typescript": "5.7.3",
    "vue-tsc": "2.2.2"
  },
  "volta": {
    "node": "22.16.0",
    "pnpm": "10.11.0"
  },
  "packageManager": "pnpm@10.13.1+sha512.37ebf1a5c7a30d5fabe0c5df44ee8da4c965ca0c5af3dbab28c3a1681b70a256218d05c81c9c0dcf767ef6b8551eb5b960042b9ed4300c59242336377e01cfad"
}
